/* -*- C++ -*-
 * $Id: flcolorchooser.cc,v 1.7 2006/12/23 00:45:12 jeremy_henty Exp $
 */

#include "fltk.h"
#include "flcolorchooser.h"

VALUE rb_cFLColor_Chooser;

static FN_S_NEW(Color_Chooser);
WIDGET_FNS(Color_Chooser);

static FN_GET_DBL(Color_Chooser,r);
static FN_GET_DBL(Color_Chooser,g);
static FN_GET_DBL(Color_Chooser,b);
static FN_SET_DBL3(Color_Chooser,rgb)

static FN_GET_DBL(Color_Chooser,hue);
static FN_GET_DBL(Color_Chooser,saturation);
static FN_GET_DBL(Color_Chooser,value);
static FN_SET_DBL3(Color_Chooser,hsv)

extern "C" void
Init_flcolorchooser(){
  rb_cFLColor_Chooser = rb_define_class_under(rb_mFLTK, "ColorChooser",
					      rb_cFLWidget);
  DEF_S_METHOD(Color_Chooser,new,-1);
  DEF_WIDGET_METHODS(Color_Chooser);
  DEF_METHOD(Color_Chooser,r,0);
  DEF_METHOD(Color_Chooser,g,0);
  DEF_METHOD(Color_Chooser,b,0);
  DEF_METHOD(Color_Chooser,rgb,3);
  DEF_METHOD(Color_Chooser,hue,0);
  DEF_METHOD(Color_Chooser,saturation,0);
  DEF_METHOD(Color_Chooser,value,0);
  DEF_METHOD(Color_Chooser,hsv,3);
};
