/* -*- C++ -*-
 * $Id: flpack.cc,v 1.13 2002/07/21 21:47:59 ttate Exp $
 */

#include "fltk.h"
#include "flpack.h"

VALUE rb_cFLPack;

static FN_S_NEW(Pack);
WIDGET_FNS(Pack);
static FN_GETSET_INT(Pack,type);
static FN_GETSET_INT(Pack,spacing);

extern "C" void
Init_flpack(){
  rb_cFLPack = rb_define_class_under(rb_mFLTK, "Pack", rb_cFLGroup);
  DEF_S_METHOD(Pack,new,-1);
  DEF_WIDGET_METHODS(Pack);
  DEF_PREFIXED_METHOD_EQ(Pack, pack, type, -1);
  DEF_METHOD_EQ(Pack, spacing, -1);

  rb_define_const(rb_cFLPack, "HORIZONTAL", INT2NUM(Fl_Pack::HORIZONTAL));
  rb_define_const(rb_cFLPack, "VERTICAL",   INT2NUM(Fl_Pack::VERTICAL));
};
