/* -*- C++ -*-
 * $Id: flveinput.cc,v 1.1 2002/10/21 16:12:10 ttate Exp $
 */

#include "../fltk.h"
#include "../flwidget.h"
#include "../flinput.h"
#include "../flbutton.h"
#include "flveinput.h"

VALUE rb_cFLVEInput;
VALUE rb_cFLVECheckButton;

static FN_S_NEW(VEInput);
static FN_INIT(VEInput);
WIDGET_FNS(VEInput);

static VALUE rb_FLVEInput_owner(int argc, VALUE argv[], VALUE self)
{
  RBFLVEInput *widget = (RBFLVEInput*)rb_to_fl(self); 
  VALUE arg1; 
  switch( rb_scan_args(argc, argv, "01", &arg1) ){ 
  case 0: 
    return rb_fltk_objmap_aref((Fl_Widget*)widget->owner);
  case 1: 
    widget->owner = ((Fl_Widget*)(rb_to_fl(arg1)));
    break;
  }
  return Qnil; 
};

static FN_S_NEW(VECheckButton);
static FN_INIT(VECheckButton);
WIDGET_FNS(VECheckButton);

static VALUE rb_FLVECheckButton_owner(int argc, VALUE argv[], VALUE self)
{
  RBFLVECheckButton *widget = (RBFLVECheckButton*)rb_to_fl(self); 
  VALUE arg1; 
  switch( rb_scan_args(argc, argv, "01", &arg1) ){ 
  case 0: 
    return rb_fltk_objmap_aref((Fl_Widget*)widget->owner);
  case 1: 
    widget->owner = ((Fl_Widget*)(rb_to_fl(arg1)));
    break;
  }
  return Qnil; 
};

static VALUE rb_FLVECheckButton_draw_check_button(int argc, VALUE argv[], VALUE self)
{
  RBFLVECheckButton *widget = (RBFLVECheckButton*)rb_to_fl(self);
  draw_flve_check_button(FIX2INT(argv[0]),FIX2INT(argv[1]),FIX2INT(argv[2]),
    FIX2INT(argv[3]),widget, STR2CSTR(argv[4]));
  return Qnil;
};

extern "C" void
Init_flveinput(){
  rb_cFLVEInput = rb_define_class_under(rb_mFLTK, "VEInput", rb_cFLInput);
  DEF_S_METHOD(VEInput,new,-1);
  DEF_INIT_METHOD(VEInput);
  DEF_WIDGET_METHODS(VEInput);
  DEF_METHOD(VEInput, owner,-1);

  rb_cFLVECheckButton = rb_define_class_under(rb_mFLTK, "VECheckButton", rb_cFLCheck_Button);
  DEF_S_METHOD(VECheckButton,new,-1);
  DEF_INIT_METHOD(VECheckButton);
  DEF_WIDGET_METHODS(VECheckButton);
  DEF_METHOD(VECheckButton, owner,-1);
  DEF_METHOD(VECheckButton, draw_check_button,-1);
}
