/* -*- C++ -*-
 * $Id: flwizard.cc,v 1.5 2006/12/28 15:51:24 jeremy_henty Exp $
 */

#include "fltk.h"
#include "flwizard.h"

#if defined(HAVE_FL_FL_WIZARD_H)

VALUE rb_cFLWizard;

static FN_S_NEW(Wizard);
WIZARD_FNS(Wizard);
static FN_CALL(Wizard,next);
static FN_CALL(Wizard,prev);
static FN_GETSET_WIDGET(Wizard,value);

extern "C" void
Init_flwizard(){
  rb_cFLWizard = rb_define_class_under(rb_mFLTK, "Wizard", rb_cFLGroup);
  DEF_S_METHOD(Wizard,new,-1);
  DEF_WIZARD_METHODS(Wizard);
  DEF_METHOD(Wizard,next,0);
  DEF_METHOD(Wizard,prev,0);
  DEF_METHOD_EQ(Wizard,value,-1);
};

#endif
