# $Id: destroy_handle.rb,v 1.4 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

class MyWindow < FLTK::Window

  def handle(e)
    case e
    when FLTK::PUSH
      destroy
      return true
    end
    return false
  end

  def draw
    super
    FLTK.size(20) 
    FLTK.color(FLTK::BLACK)
    legend = "Click me to destroy me!"
    width = FLTK.width(legend)
    _x = (w-width)/2
    _y = h/2
    FLTK.draw(legend,_x,_y)
  end

end

MyWindow.new(300,100,'Destroy by click'){|win|
  win.show
}

FLTK.run
