/* -*- C++ -*-
 * $Id: fltext.h,v 1.9 2007/01/08 11:55:41 jeremy_henty Exp $
 */

#ifndef RBFLTEXT_H
#define RBFLTEXT_H

#include <FL/Enumerations.H>

#ifdef HAVE_FL_FL_TEXT_BUFFER_H

#include <FL/Fl_Text_Buffer.H>
#include <FL/Fl_Text_Display.H>
#include <FL/Fl_Text_Editor.H>
#include "flgroup.h"

extern VALUE rb_cFLText_Buffer;
extern VALUE rb_cFLText_Display;
extern VALUE rb_cFLText_Editor;

class RBFLText_Buffer : public Fl_Text_Buffer {
public:
  RBFLText_Buffer(int r) : Fl_Text_Buffer(r){};
  RBFLText_Buffer() : Fl_Text_Buffer(){};
};

RBFL_CLASS(Text_Display);
RBFL_CLASS(Text_Editor);

extern "C" void Init_fltext();

#endif

#endif /* RBFLTEXT_H */
