/* -*- C++ -*-
 * $Id: flvstyle.h,v 1.1 2002/10/21 16:12:11 ttate Exp $
 */

#ifndef RBFLVSTYLE_H
#define RBFLVSTYLE_H

/*
 * select macro is defined in ruby-x.x.x/win32/win32.h.
 * This definition conflicts with Fl_Browser::select.
 *                                  Thanks Lorien Dunn
 */
#ifdef select
# undef select
#endif

#include <FL/Flv_Style.H>
#include <FL/Flv_CStyle.H>

class RBFLVStyleList : public Flv_Style_List
{
public:
  RBFLVStyleList() : Flv_Style_List(){};
};

class RBFLVStyle : public Flv_Style
{
public:
  RBFLVStyle() : Flv_Style(){};
  RBFLVStyle(int value) : Flv_Style(value){};
};

class RBFLVCStyle : public Flv_CStyle
{
public:
  RBFLVCStyle() : Flv_CStyle(){};
};

extern VALUE rb_cFLVStyleList;
extern VALUE rb_cFLVStyle;
extern VALUE rb_cFLVCStyle;

extern "C" void Init_flvstyle(void);

#endif /* RBFLVSTYLE_H */
