# $Id: close.rb,v 1.7 2006/12/31 11:58:23 jeremy_henty Exp $

require 'fltk'

@show_button = nil
@show_win = nil

def update
  @show_button.label =
    @show_win.visible? ? "Hide" : "Show" 
end

FLTK::Window.new(100,100,'Show/Hide'){|win|
  @show_button = FLTK::Button.new(win.w,win.h){
    @show_win.visible? ? @show_win.hide : @show_win.show
    update
  }
  @show_win = FLTK::Window.new(100,100,"Show/Hide"){|show_win|
    show_win.callback{show_win.hide;update}
  }
  update
  win.callback{exit}
  win.show
}

FLTK.run
