# $Id: xunicode.rb,v 1.12 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'
require 'iconv'

def e2u(str)
  Iconv.iconv("UTF-8", "EUC-JP", str).join
end

def u2e(str)
  Iconv.iconv("EUC-JP", "UTF-8", str).join
end

LABEL = {
  "OK" => e2u("λ"),
  "Quit" => e2u("λ"),
  "Label" => e2u("٥"),
}

message = nil # will set this later 
FLTK::Window.new(120,90,'Unicode'){|win|
  i = FLTK::Input.new(0,0,120,20)
  i.value = LABEL["Label"]
  ok = FLTK::Button.new(0,20,70,40,LABEL["OK"]){
    message.label(u2e(i.value))
  }
  ok.labelsize = 22
  ex = FLTK::Button.new(70,20,50,40,LABEL["Quit"]){ exit(0) }
  message = FLTK::Box.new(0,60,win.w,30)
  win.show
}

FLTK.run
